org.rrd4j.core

## Class RrdRandomAccessFileBackendFactory

- java.lang.Object
- - org.rrd4j.core.RrdBackendFactory
  - - org.rrd4j.core.RrdFileBackendFactory
    - - org.rrd4j.core.RrdRandomAccessFileBackendFactory

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    RrdSafeFileBackendFactory

      @RrdBackendAnnotation(name="FILE",
                            shouldValidateHeader=true)
      public class RrdRandomAccessFileBackendFactory
      extends RrdFileBackendFactory

  Factory class which creates actual `RrdRandomAccessFileBackend` objects. This was the default backend factory in Rrd4j before 1.4.0 release.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdBackendFactory

      `cachingAllowed, DEFAULTFACTORY, name, scheme, validateHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdRandomAccessFileBackendFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RrdBackend` | `open(String path, boolean readOnly)`

    - ### Methods inherited from class org.rrd4j.core.RrdFileBackendFactory

      `canStore, exists, getCanonicalUri, getPath, getUri`

    - ### Methods inherited from class org.rrd4j.core.RrdBackendFactory

      `addActiveFactories, buildGenericUri, checkClosing, close, exists, findFactory, getActiveFactories, getBackend, getBackend, getDefaultFactory, getName, getRootUri, getScheme, resolve, setActiveFactories, shouldValidateHeader, shouldValidateHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdRandomAccessFileBackendFactory

          public RrdRandomAccessFileBackendFactory()

  - ### Method Detail

    - #### open

          protected RrdBackend open(String path,
                                    boolean readOnly)
                             throws IOException

      Creates RrdFileBackend object for the given file path.

      Specified by:
        `open` in class `RrdBackendFactory`
      Throws:
        `IOException`